Artifact Details - Query Package Metrics
POST https://feeds.dev.azure.com/{organization}/{project}/_apis/packaging/Feeds/{feedId}/packagemetricsbatch?api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
feed
|
path | True |
string |
|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path |
string |
Project ID or project name |
|
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| packageIds |
string[] (uuid) |
List of package ids |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.packaging_write | Grants the ability to create and read feeds and packages. |
Definitions
| Name | Description |
|---|---|
|
Package |
All metrics for a certain package id |
|
Package |
Query to get package metrics |
PackageMetrics
All metrics for a certain package id
| Name | Type | Description |
|---|---|---|
| downloadCount |
number (double) |
Total count of downloads per package id. |
| downloadUniqueUsers |
number (double) |
Number of downloads per unique user per package id. |
| lastDownloaded |
string (date-time) |
UTC date and time when package was last downloaded. |
| packageId |
string (uuid) |
Package id. |
PackageMetricsQuery
Query to get package metrics
| Name | Type | Description |
|---|---|---|
| packageIds |
string[] (uuid) |
List of package ids |